PT BMS MIGRATION & ENHANCEMENT - Bug #1299

Job Catalog
06/29/2022 04:10 PM - fernando sergio rumbayan

Status: Closed Start date: 06/29/2022
Priority: High Due date: 06/30/2022
Assignee: fernando sergio rumbayan % Done: 0%
Category: Estimated time: 0.00 hour

Target version: Spent time: 2.50 hours

Description
Dear Mba yoma,

Mba yomm tolong masih terjadi Dobble di Job Catalog mba pada master data Qualifation Profile..
» B3 cash Office Manager 00000801 J Cash Office Man... 20180401 00001231
» B Customer Senice 00000802 J Customer Service 20180101 00001231
» [ Deputy Funding 00000903 J Deputy Funding 20180101 00001231
» B Functional Office Manager 00000804 J Functional Office ... 20180101 00001231
» B3 Funding Officer Retai 00000805 J Funding Officer R... 20180101 00001231
» 5 Desk Compliance & APU-FPT 00000501 JF Desk Compliance... 20180101 00001231
) Level 3
W Time Management End Date:
Qualification:
Terima Kasih

History

#1 - 06/30/2022 03:33 PM - Tri Rizqiaty

- File clipboard-202206301532-hgvrv.png added
- File clipboard-202206301533-ypog5.png added
- Status changed from Assigned to Developing
Fixing :

1. Update Ul\scripts : MinovaUtil.FieldGenerator.js (file terlampir)
if (tcarget) {

/{saswanto 18Mei2
if (target =='"FPr
'/ edit by Tri 630 start
if( thl == 'PHRCMOO00S')
{
_store = frm.getForm() .findField('Froficiency') .getStore();

_Store.proxy.extraParams = {
tableName: "FPHRCOMOOZT

param: 'EndDa [=]159988123]1,CkjectID[=]" + val.valData
+:
}
else
{
_store = frm.getForm() .findField('Froficisncy') .getStore();
_Store.proxy.extraParams = {
tableName: 'PHRCMOO0ZT7®,
param: 'EndDa 1995951231 ,CbjectID[=]" + Ext.ComponentQuery.query(' [name=CualificationID]'})[C].wvalDat
+i
}
S/ edit by Tri 20220630 end
f{_store = frm.getForm() .findField('Proficiency"') .getStore ()
_Store.proxy.extraParams = {
tableName: 'PHRCM "
param: 'EndDate[=]95591231,0CkjectID[=]" + Ext.ComponentOuery.guery (' [name=CQualificationID]') [0].valData

fEe

_store.load():

2. Update SDATATABLEFIELD - FieldName Qualification : isi field TriggerCombo dengan "Profiency" (sesuai gambar dibawah)

tiu:u..._ ParamCombo TriggerCombo _ Cr

Q Profiency mil

#2 - 06/30/2022 03:34 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to fernando sergio rumbayan

#3 - 06/30/2022 03:40 PM - Tri Rizqgiaty
- File MinovaUltil. FieldGenerator.js added

#4 - 07/01/2022 04:16 PM - fernando sergio rumbayan
- Status changed from QA Test to Closed

Dear Mba yomaa,

Sudah bisa mba, Terima Kasihhh mba yomaaa...

Files

clipboard-202206291609-vso1j.png 126 KB 06/29/2022 fernando sergio rumbayan
clipboard-202206301532-hgvrv.png 42.5 KB 06/30/2022 Tri Rizqgiaty
clipboard-202206301533-ypoq5.png 3.87 KB 06/30/2022 Tri Rizgiaty
MinovaUltil.FieldGenerator.js 161 KB 06/30/2022 Tri Rizgiaty
